import type { RaymarchScene } from "../api";
/**
 * Higher order function producing a function to compute the raymarched
 * scene normal for a given scene function and intersection position.
 * Like {@link raymarchScene}, this function takes an existing scene
 * function as argument.
 *
 * @param scene -
 * @param name -
 */
export declare const raymarchNormal: (scene: RaymarchScene, name?: string) => import("@thi.ng/shader-ast").TaggedFn2<"vec3", "float", "vec3">;
//# sourceMappingURL=normal.d.ts.map